Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2
Interface XON

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  XONImpl

    public interface XON

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'XON'. This data structure is being used to represent an organization name and is based on the HL7 v2.5 data type XON.

The following features are supported:

- `Organization Name`
- `Id Number`
- `Assigning Authority Name`
- `Assigning Authority Universal Id`
- `Assigning Authority Universal Id Type`

See Also:
  `Hl7v2Package.getXON()`

Method Summary
`java.lang.String` | `getAssigningAuthorityName()` Returns the value of the 'Assigning Authority Name' attribute.
`java.lang.String` | `getAssigningAuthorityUniversalId()` Returns the value of the 'Assigning Authority Universal Id' attribute.
`java.lang.String` | `getAssigningAuthorityUniversalIdType()` Returns the value of the 'Assigning Authority Universal Id Type' attribute.
`java.lang.String` | `getIdNumber()` Returns the value of the 'Id Number' attribute.
`java.lang.String` | `getOrganizationName()` Returns the value of the 'Organization Name' attribute.
`void` | `setAssigningAuthorityName(java.lang.String value)` Sets the value of the '`Assigning Authority Name`' attribute.
`void` | `setAssigningAuthorityUniversalId(java.lang.String value)` Sets the value of the '`Assigning Authority Universal Id`' attribute.
`void` | `setAssigningAuthorityUniversalIdType(java.lang.String value)` Sets the value of the '`Assigning Authority Universal Id Type`' attribute.
`void` | `setIdNumber(java.lang.String value)` Sets the value of the '`Id Number`' attribute.
`void` | `setOrganizationName(java.lang.String value)` Sets the value of the '`Organization Name`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOrganizationName

    java.lang.String getOrganizationName()

  Returns the value of the 'Organization Name' attribute.

  If the meaning of the 'Organization Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Organization Name' attribute.
  See Also:
    `setOrganizationName(String)`, `Hl7v2Package.getXON_OrganizationName()`

### setOrganizationName

    void setOrganizationName(java.lang.String value)

  Sets the value of the '`Organization Name`' attribute.

  Parameters:
    `value` - the new value of the 'Organization Name' attribute.
  See Also:
    `getOrganizationName()`

### getIdNumber

    java.lang.String getIdNumber()

  Returns the value of the 'Id Number' attribute.

  If the meaning of the 'Id Number' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id Number' attribute.
  See Also:
    `setIdNumber(String)`, `Hl7v2Package.getXON_IdNumber()`

### setIdNumber

    void setIdNumber(java.lang.String value)

  Sets the value of the '`Id Number`' attribute.

  Parameters:
    `value` - the new value of the 'Id Number' attribute.
  See Also:
    `getIdNumber()`

### getAssigningAuthorityName

    java.lang.String getAssigningAuthorityName()

  Returns the value of the 'Assigning Authority Name' attribute.

  If the meaning of the 'Assigning Authority Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Assigning Authority Name' attribute.
  See Also:
    `setAssigningAuthorityName(String)`, `Hl7v2Package.getXON_AssigningAuthorityName()`

### setAssigningAuthorityName

    void setAssigningAuthorityName(java.lang.String value)

  Sets the value of the '`Assigning Authority Name`' attribute.

  Parameters:
    `value` - the new value of the 'Assigning Authority Name' attribute.
  See Also:
    `getAssigningAuthorityName()`

### getAssigningAuthorityUniversalId

    java.lang.String getAssigningAuthorityUniversalId()

  Returns the value of the 'Assigning Authority Universal Id' attribute.

  If the meaning of the 'Assigning Authority Universal Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Assigning Authority Universal Id' attribute.
  See Also:
    `setAssigningAuthorityUniversalId(String)`, `Hl7v2Package.getXON_AssigningAuthorityUniversalId()`

### setAssigningAuthorityUniversalId

    void setAssigningAuthorityUniversalId(java.lang.String value)

  Sets the value of the '`Assigning Authority Universal Id`' attribute.

  Parameters:
    `value` - the new value of the 'Assigning Authority Universal Id' attribute.
  See Also:
    `getAssigningAuthorityUniversalId()`

### getAssigningAuthorityUniversalIdType

    java.lang.String getAssigningAuthorityUniversalIdType()

  Returns the value of the 'Assigning Authority Universal Id Type' attribute.

  If the meaning of the 'Assigning Authority Universal Id Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Assigning Authority Universal Id Type' attribute.
  See Also:
    `setAssigningAuthorityUniversalIdType(String)`, `Hl7v2Package.getXON_AssigningAuthorityUniversalIdType()`

### setAssigningAuthorityUniversalIdType

    void setAssigningAuthorityUniversalIdType(java.lang.String value)

  Sets the value of the '`Assigning Authority Universal Id Type`' attribute.

  Parameters:
    `value` - the new value of the 'Assigning Authority Universal Id Type' attribute.
  See Also:
    `getAssigningAuthorityUniversalIdType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD